/*
*
* Copyright (c) 2019 Texas Instruments Incorporated
*
* All rights reserved not granted herein.
*
* Limited License.
*
* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive
* license under copyrights and patents it now or hereafter owns or controls to make,
* have made, use, import, offer to sell and sell ("Utilize") this software subject to the
* terms herein.  With respect to the foregoing patent license, such license is granted
* solely to the extent that any such patent is necessary to Utilize the software alone.
* The patent license shall not apply to any combinations which include this software,
* other than combinations with devices manufactured by or for TI ("TI Devices").
* No hardware patent is licensed hereunder.
*
* Redistributions must preserve existing copyright notices and reproduce this license
* (including the above copyright notice and the disclaimer and (if applicable) source
* code license limitations below) in the documentation and/or other materials provided
* with the distribution
*
* Redistribution and use in binary form, without modification, are permitted provided
* that the following conditions are met:
*
* *       No reverse engineering, decompilation, or disassembly of this software is
* permitted with respect to any software provided in binary form.
*
* *       any redistribution and use are licensed by TI for use only with TI Devices.
*
* *       Nothing shall obligate TI to provide you with source code for the software
* licensed and provided to you in object code.
*
* If software source code is provided to you, modification and redistribution of the
* source code are permitted provided that the following conditions are met:
*
* *       any redistribution and use of the source code, including any resulting derivative
* works, are licensed by TI for use only with TI Devices.
*
* *       any redistribution and use of any object code compiled from the source code
* and any resulting derivative works, are licensed by TI for use only with TI Devices.
*
* Neither the name of Texas Instruments Incorporated nor the names of its suppliers
*
* may be used to endorse or promote products derived from this software without
* specific prior written permission.
*
* DISCLAIMER.
*
* THIS SOFTWARE IS PROVIDED BY TI AND TI'S LICENSORS "AS IS" AND ANY EXPRESS
* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
* IN NO EVENT SHALL TI AND TI'S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
* OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

 /**
 *  \file     Eth_Cfg.c
 *
 *  \brief    This file contains generated post build configuration file
 *            for ETH MCAL driver
 */

/*******************************************************************************
    Project         : EgEth
    Date            : 2020-02-10 12:40:50
    SW Ver          : 0.1.0
    Module Rele Ver : AUTOSAR 4.2.1 0

    This file is generated by EB Tresos
    Do not modify this file,otherwise the software may behave in unexpected way.
*******************************************************************************/

/*******************************************************************************
 * Standard Header Files
 ******************************************************************************/

/*******************************************************************************
 * Other Header Files
 ******************************************************************************/
#include "Eth.h"


/*******************************************************************************
 * Constants for Post-Build Configuration
 ******************************************************************************/
#define  ETH_START_SEC_CONFIG_DATA

#include "Eth_MemMap.h"



/**< \brief Ethernet configurations
        Generated, not expected be modified manually */
ETH_CONFIG_DATA_SECTION CONST(Eth_ConfigType, ETH_CONFIG_DATA)
    EthConfig_0_PC =
{
    .ctrlIdx = ETH_CONTROLLER_ID_0,
    /**< Controller index */
    .udmaInstId = UDMA_INST_ID_MAIN_0,
    /**< Udma Instance Id */
    .dmaTxChIntrNum     =    238U,
    /**< DMA TX channel interrupt number */
    .dmaRxChIntrNum     =    239U,
    /**< DMA RX channel interrupt number */
    .mdioBusFreq        =    2200000U,
    /**< MDIO bus clock (MDCLK) frequency (in Hz) */
    .connType           =    ETH_MAC_CONN_TYPE_RGMII_FORCE_1000_FULL,
    /**< MII connection type */
    .loopback           =    FALSE,
    /**< Loopback enable */
    .enableCacheOps     =     (uint32)TRUE,
    /**< Packet memory is cacheable */
    .cacheWbInv         =     (Eth_CacheWbInv) &EthVirtmacApp_wbInvCache,
    /**< Cache write-back invalidate function */
    .cacheWb            =     (Eth_CacheWb) &EthVirtmacApp_wbCache,
    /**< Cache write-back function */
    .cacheInv           =     (Eth_CacheInv) &EthVirtmacApp_invCache,
    /**< Cache invalidate function */
    .cpswType = ETH_CPSWTYPE_9G,
    /**< CPSW type */
    .macPort = ETH_PORT_HOST_PORT,
    
    .enableVirtualMac = TRUE,
    
    .virtualMacCfg = 
    {
        .ethfwRpcComChId      = 0U,
        /**< CDD IPC Communication channel identifier */
        .pollRecvMsgInEthMain = FALSE,
        /**< Poll for ethernet CDD IPC messagges in Eth Main function */
        .rpcCmdComplete = &EthVirtmacApp_rpcCmdComplete,
        /**< App callback, used to indicate completion dispatch command */
        .fwRegisteredCb = &EthVirtmacApp_rpcFwRegistered,
        /**< App callback, used to indicate server connected with virtual mac */
    },
};
#define  ETH_STOP_SEC_CONFIG_DATA
#include "Eth_MemMap.h"


    
    
    
/*******************************************************************************
 *  End of File: Eth_Cfg.c
 ******************************************************************************/
