/*
*
* Copyright (c) 2019 Texas Instruments Incorporated
*
* All rights reserved not granted herein.
*
* Limited License.
*
* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive
* license under copyrights and patents it now or hereafter owns or controls to make,
* have made, use, import, offer to sell and sell ("Utilize") this software subject to the
* terms herein.  With respect to the foregoing patent license, such license is granted
* solely to the extent that any such patent is necessary to Utilize the software alone.
* The patent license shall not apply to any combinations which include this software,
* other than combinations with devices manufactured by or for TI ("TI Devices").
* No hardware patent is licensed hereunder.
*
* Redistributions must preserve existing copyright notices and reproduce this license
* (including the above copyright notice and the disclaimer and (if applicable) source
* code license limitations below) in the documentation and/or other materials provided
* with the distribution
*
* Redistribution and use in binary form, without modification, are permitted provided
* that the following conditions are met:
*
* *       No reverse engineering, decompilation, or disassembly of this software is
* permitted with respect to any software provided in binary form.
*
* *       any redistribution and use are licensed by TI for use only with TI Devices.
*
* *       Nothing shall obligate TI to provide you with source code for the software
* licensed and provided to you in object code.
*
* If software source code is provided to you, modification and redistribution of the
* source code are permitted provided that the following conditions are met:
*
* *       any redistribution and use of the source code, including any resulting derivative
* works, are licensed by TI for use only with TI Devices.
*
* *       any redistribution and use of any object code compiled from the source code
* and any resulting derivative works, are licensed by TI for use only with TI Devices.
*
* Neither the name of Texas Instruments Incorporated nor the names of its suppliers
*
* may be used to endorse or promote products derived from this software without
* specific prior written permission.
*
* DISCLAIMER.
*
* THIS SOFTWARE IS PROVIDED BY TI AND TI'S LICENSORS "AS IS" AND ANY EXPRESS
* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
* IN NO EVENT SHALL TI AND TI'S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
* OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/
/**
 *  \file     Gpt_Cfg.c
 *
 *  \brief    This file contains generated pre-compile configuration file
 *            for GPT MCAL driver
 *
 */
/*
 * Requirements : MCAL-2120,
 */
/*
 * Design : DES_GPT_014, DES_GPT_020
 */
/******************************************************************************
    Project         : Gpt
    Date            : 2020-01-21 14:32:18
    Config SW Ver   : 0.1.0
    Module Rele Ver : AUTOSAR 4.3.1 0

    This file is generated by EB Tresos
    Do not modify this file,otherwise the software may behave in unexpected way.
******************************************************************************/
#include "Std_Types.h"
#include "Gpt.h"
 

#define GPT_START_SEC_CONFIG_DATA
#include "Gpt_MemMap.h"


CONST(Gpt_ChannelConfigType_PC, GPT_CONFIG_DATA) Gpt_ChannelConfig_PC[16] =
{

    [0] =
    {
        .channelId =   4U,
        /**< Channel Id */
    },
    [1] =
    {
        .channelId =   5U,
        /**< Channel Id */
    },
    [2] =
    {
        .channelId =   6U,
        /**< Channel Id */
    },
    [3] =
    {
        .channelId =   7U,
        /**< Channel Id */
    },
    [4] =
    {
        .channelId =   8U,
        /**< Channel Id */
    },
    [5] =
    {
        .channelId =   9U,
        /**< Channel Id */
    },
    [6] =
    {
        .channelId =   10U,
        /**< Channel Id */
    },
    [7] =
    {
        .channelId =   11U,
        /**< Channel Id */
    },
    [8] =
    {
        .channelId =   12U,
        /**< Channel Id */
    },
    [9] =
    {
        .channelId =   13U,
        /**< Channel Id */
    },
    [10] =
    {
        .channelId =   14U,
        /**< Channel Id */
    },
    [11] =
    {
        .channelId =   15U,
        /**< Channel Id */
    },
    [12] =
    {
        .channelId =   0U,
        /**< Channel Id */
    },
    [13] =
    {
        .channelId =   1U,
        /**< Channel Id */
    },
    [14] =
    {
        .channelId =   2U,
        /**< Channel Id */
    },
    [15] =
    {
        .channelId =   3U,
        /**< Channel Id */
    }
};


/*----- End of File --------------------------------------------------------*/
