/*
*
* Copyright (c) 2019 Texas Instruments Incorporated
*
* All rights reserved not granted herein.
*
* Limited License.
*
* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive
* license under copyrights and patents it now or hereafter owns or controls to make,
* have made, use, import, offer to sell and sell ("Utilize") this software subject to the
* terms herein.  With respect to the foregoing patent license, such license is granted
* solely to the extent that any such patent is necessary to Utilize the software alone.
* The patent license shall not apply to any combinations which include this software,
* other than combinations with devices manufactured by or for TI ("TI Devices").
* No hardware patent is licensed hereunder.
*
* Redistributions must preserve existing copyright notices and reproduce this license
* (including the above copyright notice and the disclaimer and (if applicable) source
* code license limitations below) in the documentation and/or other materials provided
* with the distribution
*
* Redistribution and use in binary form, without modification, are permitted provided
* that the following conditions are met:
*
* *       No reverse engineering, decompilation, or disassembly of this software is
* permitted with respect to any software provided in binary form.
*
* *       any redistribution and use are licensed by TI for use only with TI Devices.
*
* *       Nothing shall obligate TI to provide you with source code for the software
* licensed and provided to you in object code.
*
* If software source code is provided to you, modification and redistribution of the
* source code are permitted provided that the following conditions are met:
*
* *       any redistribution and use of the source code, including any resulting derivative
* works, are licensed by TI for use only with TI Devices.
*
* *       any redistribution and use of any object code compiled from the source code
* and any resulting derivative works, are licensed by TI for use only with TI Devices.
*
* Neither the name of Texas Instruments Incorporated nor the names of its suppliers
*
* may be used to endorse or promote products derived from this software without
* specific prior written permission.
*
* DISCLAIMER.
*
* THIS SOFTWARE IS PROVIDED BY TI AND TI'S LICENSORS "AS IS" AND ANY EXPRESS
* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
* IN NO EVENT SHALL TI AND TI'S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
* OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/
  /*****************************************************************************
    Project: Adc
    Date   : 2019-06-27 12:41:13
    This file is generated by EB Tresos
    Do not modify this file, otherwise the software may behave in unexpected way

 ******************************************************************************/

/*******************************************************************************
 *  INCLUDES
 ******************************************************************************/
#include "Std_Types.h"
#include "Adc.h"

/*******************************************************************************
 *  GLOBAL CONFIG DATA
 ******************************************************************************/

/******************AdcPBCfg***********************/
#define ADC_START_SEC_CONFIG_DATA
#include "Adc_MemMap.h"

#ifdef __cplusplus
extern "C" {
#endif


/*  Version checking  */
 #if ((ADC_SW_MAJOR_VERSION != (1U))||(ADC_SW_MINOR_VERSION != (2U)))
  #error "Version numbers of Adc_PBcfg.c and Adc.h are inconsistent!"
#endif


extern void AdcApp_HwUnit0_Group0EndNotification(void);
extern void AdcApp_HwUnit1_Group0EndNotification(void);

/* Create runtime configurations. */
CONST(struct Adc_ConfigType_s, ADC_CONFIG_DATA) AdcConfigSet =
{
    .maxGroup = 2U,
    .maxHwUnit = 2U,
    .groupCfg  =
    {
    [0] =
        {
            .groupId = AdcConf_AdcHwUnit_AdcHwUnit_0_AdcGroup_AdcGroup_0,
            .groupPriority =    0U,
            .hwUnitId = ADC_UNIT_0,
            .Adc_GroupEndNotification = AdcApp_HwUnit0_Group0EndNotification,
            .streamNumSamples = 1U,
            .resolution = ADC_DEF_CHANNEL_RESOLUTION,/* This is not configurable and should be set to ADC_DEF_CHANNEL_RESOLUTION */
            .convMode = ADC_CONV_MODE_ONESHOT,
            .triggSrc = ADC_TRIGG_SRC_SW,
            .accessMode = ADC_ACCESS_MODE_SINGLE,
            .streamBufMode = ADC_STREAM_BUFFER_LINEAR,
            .hwTrigSignal = ADC_HW_TRIG_FALLING_EDGE, /*  Since HW trigger is not supported, this parameter is not used */
            .hwTrigTimer = 0U, /*  Since HW trigger is not supported, this parameter is not used */
            .groupReplacement = (Adc_GroupReplacementType)ADC_GROUP_REPL_SUSPEND_RESUME,
            .highRange = 4095U,
            .lowRange  = 1U,
            .numChannels = 1U,
            .channelConfig =
            {
                [0] =
                {
                    .hwChannelId = 0U,
                    .openDelay  = 0U,
                    .sampleDelay = 0U,
                    .rangeCheckEnable = (uint32)FALSE,
                    .averagingMode = ADC_AVERAGING_MODE_16_SAMPLES,
                },
            },
        },
    [1] =
        {
            .groupId = AdcConf_AdcHwUnit_AdcHwUnit_1_AdcGroup_AdcGroup_0,
            .groupPriority =    0U,
            .hwUnitId = ADC_UNIT_1,
            .Adc_GroupEndNotification = AdcApp_HwUnit1_Group0EndNotification,
            .streamNumSamples = 1U,
            .resolution = ADC_DEF_CHANNEL_RESOLUTION,/* This is not configurable and should be set to ADC_DEF_CHANNEL_RESOLUTION */
            .convMode = ADC_CONV_MODE_CONTINUOUS,
            .triggSrc = ADC_TRIGG_SRC_SW,
            .accessMode = ADC_ACCESS_MODE_STREAMING,
            .streamBufMode = ADC_STREAM_BUFFER_CIRCULAR,
            .hwTrigSignal = ADC_HW_TRIG_FALLING_EDGE, /*  Since HW trigger is not supported, this parameter is not used */
            .hwTrigTimer = 0U, /*  Since HW trigger is not supported, this parameter is not used */
            .groupReplacement = (Adc_GroupReplacementType)ADC_GROUP_REPL_SUSPEND_RESUME,
            .highRange = 4095U,
            .lowRange  = 1U,
            .numChannels = 1U,
            .channelConfig =
            {
                [0] =
                {
                    .hwChannelId = 0U,
                    .openDelay  = 0U,
                    .sampleDelay = 0U,
                    .rangeCheckEnable = (uint32)FALSE,
                    .averagingMode = ADC_AVERAGING_MODE_16_SAMPLES,
                },
            },
        },
    },
    .hwUnitCfg =
    {
        [0] =
        {
            .hwUnitId = (Adc_HWUnitType)ADC_UNIT_0,
        },
        [1] =
        {
            .hwUnitId = (Adc_HWUnitType)ADC_UNIT_1,
        },
    },
};


#ifdef __cplusplus
}
#endif

#define ADC_STOP_SEC_CONFIG_DATA
#include "Adc_MemMap.h"

/*******************************************************************************
 *  END OF FILE: Adc_PBcfg.c
 ******************************************************************************/

