/*
*
* Copyright (c) 2019 Texas Instruments Incorporated
*
* All rights reserved not granted herein.
*
* Limited License.
*
* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive
* license under copyrights and patents it now or hereafter owns or controls to make,
* have made, use, import, offer to sell and sell ("Utilize") this software subject to the
* terms herein.  With respect to the foregoing patent license, such license is granted
* solely to the extent that any such patent is necessary to Utilize the software alone.
* The patent license shall not apply to any combinations which include this software,
* other than combinations with devices manufactured by or for TI ("TI Devices").
* No hardware patent is licensed hereunder.
*
* Redistributions must preserve existing copyright notices and reproduce this license
* (including the above copyright notice and the disclaimer and (if applicable) source
* code license limitations below) in the documentation and/or other materials provided
* with the distribution
*
* Redistribution and use in binary form, without modification, are permitted provided
* that the following conditions are met:
*
* *       No reverse engineering, decompilation, or disassembly of this software is
* permitted with respect to any software provided in binary form.
*
* *       any redistribution and use are licensed by TI for use only with TI Devices.
*
* *       Nothing shall obligate TI to provide you with source code for the software
* licensed and provided to you in object code.
*
* If software source code is provided to you, modification and redistribution of the
* source code are permitted provided that the following conditions are met:
*
* *       any redistribution and use of the source code, including any resulting derivative
* works, are licensed by TI for use only with TI Devices.
*
* *       any redistribution and use of any object code compiled from the source code
* and any resulting derivative works, are licensed by TI for use only with TI Devices.
*
* Neither the name of Texas Instruments Incorporated nor the names of its suppliers
*
* may be used to endorse or promote products derived from this software without
* specific prior written permission.
*
* DISCLAIMER.
*
* THIS SOFTWARE IS PROVIDED BY TI AND TI'S LICENSORS "AS IS" AND ANY EXPRESS
* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
* IN NO EVENT SHALL TI AND TI'S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
* OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/
 /***************************************************************************
  Project: MCUSW_Ver_00_03_00_00
  Date   : 2018-10-03 16:17:06

  This file is generated by EB Tresos
  Do not modify this file, otherwise the software may behave in unexpected way.

 *****************************************************************************/


/*******************************************************************************
 *  INCLUDES
 ******************************************************************************/
#include "Can.h"
#include "Can_Cfg.h"

/*Requirements : MCAL-2439, MCAL-2440, MCAL-2441 */

/*  Version checking  */
 #if ((CAN_SW_MAJOR_VERSION != (1U))||(CAN_SW_MINOR_VERSION != (2U)))
    #error "Version numbers of Can_Cfg.c and Can.h are inconsistent!"
#endif

/*******************************************************************************
 *  GLOBAL DATA
 ******************************************************************************/
#define CAN_START_SEC_CONFIG_DATA
#include "Can_MemMap.h"


/* Baud Rate Structure for all configsets */
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_BaudConfigType
    CanConfigSet_CanController_0_CanControllerBaudrateConfig_0 =
{
    1000U,      /* in Kbps */
    8U,       /* Prop Segement value */
    6U,          /* Phase Segment 1 */
    5U,          /* Phase Segment 2 */
    1U, /* Sync jump width */
    19U,  /* Sum of all timing parameters  */
    4U,   /* Controller BRP value for Baud */
	 /* Data phase Baudrate */
    {
        5000U,     /* in Kbps */
        1U,        /* Prop Segement value */
        1U,           /* Phase Segment 1 */
        1U,           /* Phase Segment 2 */
        2U,  /* Sync jump width */
        2U,  /* Sum of all timing parameters  */
        4U,   /* Controller BRP value for Baud */
        180U, /* Specifies the Transceiver Delay Compensation Offset in ns */
        (boolean)TRUE, /* Specifies if the bit rate switching shall be used */
    }
};
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_BaudConfigType
    CanConfigSet_CanController_1_CanControllerBaudrateConfig_0 =
{
    1000U,      /* in Kbps */
    8U,       /* Prop Segement value */
    6U,          /* Phase Segment 1 */
    5U,          /* Phase Segment 2 */
    1U, /* Sync jump width */
    19U,  /* Sum of all timing parameters  */
    4U,   /* Controller BRP value for Baud */
	 /* Data phase Baudrate */
    {
        5000U,     /* in Kbps */
        1U,        /* Prop Segement value */
        1U,           /* Phase Segment 1 */
        1U,           /* Phase Segment 2 */
        2U,  /* Sync jump width */
        2U,  /* Sum of all timing parameters  */
        4U,   /* Controller BRP value for Baud */
        180U, /* Specifies the Transceiver Delay Compensation Offset in ns */
        (boolean)TRUE, /* Specifies if the bit rate switching shall be used */
    }
};

/*List of the Baudrate structures */
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_BaudConfigType
    *CanConfigSet_CanController_0_BaudRateConfigList[]=
{
    &CanConfigSet_CanController_0_CanControllerBaudrateConfig_0,
};

CAN_CONFIG_DATA_SECTION_NON_CONST static Can_BaudConfigType
    *CanConfigSet_CanController_1_BaudRateConfigList[]=
{
    &CanConfigSet_CanController_1_CanControllerBaudrateConfig_0,
};


/* Controller structure defined here for all config sets */
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_ControllerType
    CanConfigSet_CanController_0 =
{
    &CanConfigSet_CanController_0_CanControllerBaudrateConfig_0,  /* pointer to default Baud structure */
    CanConfigSet_CanController_0_BaudRateConfigList,  /* List of available Baudrate structs */
};
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_ControllerType
    CanConfigSet_CanController_1 =
{
    &CanConfigSet_CanController_1_CanControllerBaudrateConfig_0,  /* pointer to default Baud structure */
    CanConfigSet_CanController_1_BaudRateConfigList,  /* List of available Baudrate structs */
};


/* Controller structure defined here for all config sets */
CAN_CONFIG_DATA_SECTION_CONST const struct Can_ControllerStruct_PC
    CanConfigSet_PC_CanController_0 =
{
    CanConf_CanController_CanController_0,      /* Id as provided by GUI */
    (boolean)TRUE,   /* Contoller is used=1 or not_used=0*/
    0x40500000U, /* Can Controller Base Address */
    CAN_TX_RX_PROCESSING_INTERRUPT,  /* Can Rx Processing Type */
    CAN_TX_RX_PROCESSING_INTERRUPT,  /* Can Tx Processing Type */
    (boolean)TRUE,/* BusOff  TRUE = Interrupt FALSE = Polling */
    CAN_CONTROLLER_INSTANCE_MCU_MCAN0,  /* Controller Instance */
	(boolean)TRUE,  /* CAN FD Mode Enable */
};
CAN_CONFIG_DATA_SECTION_CONST const struct Can_ControllerStruct_PC
    CanConfigSet_PC_CanController_1 =
{
    CanConf_CanController_CanController_1,      /* Id as provided by GUI */
    (boolean)TRUE,   /* Contoller is used=1 or not_used=0*/
    0x40540000U, /* Can Controller Base Address */
    CAN_TX_RX_PROCESSING_INTERRUPT,  /* Can Rx Processing Type */
    CAN_TX_RX_PROCESSING_INTERRUPT,  /* Can Tx Processing Type */
    (boolean)TRUE,/* BusOff  TRUE = Interrupt FALSE = Polling */
    CAN_CONTROLLER_INSTANCE_MCU_MCAN1,  /* Controller Instance */
	(boolean)TRUE,  /* CAN FD Mode Enable */
};


/*List of the Controller structures */
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_ControllerType
    *CanConfigSet_CanController_List[]=
{
    &CanConfigSet_CanController_0,
    &CanConfigSet_CanController_1,
};

CAN_CONFIG_DATA_SECTION_CONST const struct Can_ControllerStruct_PC
    *CanConfigSet_CanController_List_PC[CAN_NUM_CONTROLLER]=
{
    &CanConfigSet_PC_CanController_0,
    &CanConfigSet_PC_CanController_1,
};

/* HW Filter structure for all configsets */
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_HwFilterType
    CanConfigSet_CanHardwareObject_3_CanHwFilter_0 =
{
    177U,  /*CanHwFilterCode*/
    4294967295U,  /*Filter Mask*/
};
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_HwFilterType
    CanConfigSet_CanHardwareObject_4_CanHwFilter_0 =
{
    176U,  /*CanHwFilterCode*/
    4294967295U,  /*Filter Mask*/
};
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_HwFilterType
    CanConfigSet_CanHardwareObject_5_CanHwFilter_0 =
{
    192U,  /*CanHwFilterCode*/
    4294967295U,  /*Filter Mask*/
};
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_HwFilterType
    CanConfigSet_CanHardwareObject_6_CanHwFilter_0 =
{
    193U,  /*CanHwFilterCode*/
    4294967295U,  /*Filter Mask*/
};

/*List of the HW Filter structures */
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_HwFilterType
    *CanConfigSet_CanHardwareObject_3_HwFilterConfigList[]=
{
    &CanConfigSet_CanHardwareObject_3_CanHwFilter_0,
};
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_HwFilterType
    *CanConfigSet_CanHardwareObject_4_HwFilterConfigList[]=
{
    &CanConfigSet_CanHardwareObject_4_CanHwFilter_0,
};
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_HwFilterType
    *CanConfigSet_CanHardwareObject_5_HwFilterConfigList[]=
{
    &CanConfigSet_CanHardwareObject_5_CanHwFilter_0,
};
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_HwFilterType
    *CanConfigSet_CanHardwareObject_6_HwFilterConfigList[]=
{
    &CanConfigSet_CanHardwareObject_6_CanHwFilter_0,
};


/* All the Mailbox objects(MB's) will be defined here for all config sets */
    CAN_CONFIG_DATA_SECTION_NON_CONST static Can_MailboxType
    CanConfigSet_CanHardwareObject_0 =
{
    0U,  /*  CanHandleType 0=Full, 1=Basic */
    1U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
	0U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    12U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_TX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_CanController_0,  /* Controller */	
	NULL_PTR,  /* List of HW Filter structs */
    0U,   /* Hw Filter Count */
    204U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* Reserved Param used for future use */
};
	CAN_CONFIG_DATA_SECTION_NON_CONST static Can_MailboxType
    CanConfigSet_CanHardwareObject_1 =
{
    0U,  /*  CanHandleType 0=Full, 1=Basic */
    1U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
	0U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    12U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_TX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_CanController_0,  /* Controller */	
	NULL_PTR,  /* List of HW Filter structs */
    0U,   /* Hw Filter Count */
    204U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* Reserved Param used for future use */
};
	CAN_CONFIG_DATA_SECTION_NON_CONST static Can_MailboxType
    CanConfigSet_CanHardwareObject_2 =
{
    0U,  /*  CanHandleType 0=Full, 1=Basic */
    1U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
	0U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    12U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_TX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_CanController_1,  /* Controller */	
	NULL_PTR,  /* List of HW Filter structs */
    0U,   /* Hw Filter Count */
    204U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* Reserved Param used for future use */
};
		CAN_CONFIG_DATA_SECTION_NON_CONST static Can_MailboxType
    CanConfigSet_CanHardwareObject_3 =
{
    0U,  /*  CanHandleType 0=Full, 1=Basic */
    0U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
	0U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    12U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_RX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_CanController_0,  /* Controller */	
    CanConfigSet_CanHardwareObject_3_HwFilterConfigList,  /* List of HW Filter structs */
    1U, /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* Reserved Param used for future use */
};
	CAN_CONFIG_DATA_SECTION_NON_CONST static Can_MailboxType
    CanConfigSet_CanHardwareObject_4 =
{
    0U,  /*  CanHandleType 0=Full, 1=Basic */
    1U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
	0U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    12U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_RX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_CanController_1,  /* Controller */	
    CanConfigSet_CanHardwareObject_4_HwFilterConfigList,  /* List of HW Filter structs */
    1U, /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* Reserved Param used for future use */
};
		CAN_CONFIG_DATA_SECTION_NON_CONST static Can_MailboxType
    CanConfigSet_CanHardwareObject_5 =
{
    0U,  /*  CanHandleType 0=Full, 1=Basic */
    1U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
	1U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    12U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_RX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_CanController_0,  /* Controller */	
    CanConfigSet_CanHardwareObject_5_HwFilterConfigList,  /* List of HW Filter structs */
    1U, /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* Reserved Param used for future use */
};
	CAN_CONFIG_DATA_SECTION_NON_CONST static Can_MailboxType
    CanConfigSet_CanHardwareObject_6 =
{
    0U,  /*  CanHandleType 0=Full, 1=Basic */
    0U,  /* CanIdType 0=standard 1=Extended 2=Mixed*/
	0U,  /* HwHandle i.e Mailbox - Hw object in the controller */
    12U,   /* Length of the Mailbox */
    CAN_MAILBOX_DIRECTION_RX,  /* CanObjectType - Direction of Mailbox*/
    &CanConfigSet_PC_CanController_1,  /* Controller */	
    CanConfigSet_CanHardwareObject_6_HwFilterConfigList,  /* List of HW Filter structs */
    1U, /* Hw Filter Count */
    0U,   /* Padding value for CAN FD message */
    (boolean)FALSE,   /* Reserved Param used for future use */
};
		
/* All the Mailbox objects(MB's) will be defined here for all config sets */
CAN_CONFIG_DATA_SECTION_CONST static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_CanHardwareObject_0 =
{
    CanConf_CanHardwareObject_CanHardwareObject_0,  /* CanObjectId - Holds handle Id */
};
CAN_CONFIG_DATA_SECTION_CONST static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_CanHardwareObject_1 =
{
    CanConf_CanHardwareObject_CanHardwareObject_1,  /* CanObjectId - Holds handle Id */
};
CAN_CONFIG_DATA_SECTION_CONST static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_CanHardwareObject_2 =
{
    CanConf_CanHardwareObject_CanHardwareObject_2,  /* CanObjectId - Holds handle Id */
};
CAN_CONFIG_DATA_SECTION_CONST static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_CanHardwareObject_3 =
{
    CanConf_CanHardwareObject_CanHardwareObject_3,  /* CanObjectId - Holds handle Id */
};
CAN_CONFIG_DATA_SECTION_CONST static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_CanHardwareObject_4 =
{
    CanConf_CanHardwareObject_CanHardwareObject_4,  /* CanObjectId - Holds handle Id */
};
CAN_CONFIG_DATA_SECTION_CONST static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_CanHardwareObject_5 =
{
    CanConf_CanHardwareObject_CanHardwareObject_5,  /* CanObjectId - Holds handle Id */
};
CAN_CONFIG_DATA_SECTION_CONST static const struct Can_MailboxStruct_PC
    CanConfigSet_PC_CanHardwareObject_6 =
{
    CanConf_CanHardwareObject_CanHardwareObject_6,  /* CanObjectId - Holds handle Id */
};

/* List of the Mailboxes */
CAN_CONFIG_DATA_SECTION_NON_CONST static Can_MailboxType
    *CanConfigSet_CanHardwareObject_List[] =
{
    &CanConfigSet_CanHardwareObject_0,
    &CanConfigSet_CanHardwareObject_1,
    &CanConfigSet_CanHardwareObject_2,
    &CanConfigSet_CanHardwareObject_3,
    &CanConfigSet_CanHardwareObject_4,
    &CanConfigSet_CanHardwareObject_5,
    &CanConfigSet_CanHardwareObject_6,
};

/* List of the Mailboxes */
CAN_CONFIG_DATA_SECTION_CONST const struct Can_MailboxStruct_PC
    *CanConfigSet_CanHardwareObject_List_PC[CAN_NUM_MAILBOXES] =
{
    &CanConfigSet_PC_CanHardwareObject_0,
    &CanConfigSet_PC_CanHardwareObject_1,
    &CanConfigSet_PC_CanHardwareObject_2,
    &CanConfigSet_PC_CanHardwareObject_3,
    &CanConfigSet_PC_CanHardwareObject_4,
    &CanConfigSet_PC_CanHardwareObject_5,
    &CanConfigSet_PC_CanHardwareObject_6,
};

/*Can Config struct */
CAN_CONFIG_DATA_SECTION_CONST const struct Can_ConfigType_s CanConfigSet =
{
    CanConfigSet_CanController_List, /* Controller List Pointer */
    (2U),  /* max Controllers */
    CanConfigSet_CanHardwareObject_List, /* Mailbox List Pointer */
    (7U),/* total number of mail boxes in this configset */
    .MaxBaudConfigID =
    {
        [0] = 0U,
        [1] = 0U
    }, /* Baud rate structure id */
    NULL_PTR,  /* Reserved Param used for future use */
};

#define  CAN_STOP_SEC_CONFIG_DATA
#include "Can_MemMap.h"

/*******************************************************************************
 *  End of File: Can_Cfg.c
 ******************************************************************************/
