/*
*
* Copyright (c) 2019 Texas Instruments Incorporated
*
* All rights reserved not granted herein.
*
* Limited License.
*
* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive
* license under copyrights and patents it now or hereafter owns or controls to make,
* have made, use, import, offer to sell and sell ("Utilize") this software subject to the
* terms herein.  With respect to the foregoing patent license, such license is granted
* solely to the extent that any such patent is necessary to Utilize the software alone.
* The patent license shall not apply to any combinations which include this software,
* other than combinations with devices manufactured by or for TI ("TI Devices").
* No hardware patent is licensed hereunder.
*
* Redistributions must preserve existing copyright notices and reproduce this license
* (including the above copyright notice and the disclaimer and (if applicable) source
* code license limitations below) in the documentation and/or other materials provided
* with the distribution
*
* Redistribution and use in binary form, without modification, are permitted provided
* that the following conditions are met:
*
* *       No reverse engineering, decompilation, or disassembly of this software is
* permitted with respect to any software provided in binary form.
*
* *       any redistribution and use are licensed by TI for use only with TI Devices.
*
* *       Nothing shall obligate TI to provide you with source code for the software
* licensed and provided to you in object code.
*
* If software source code is provided to you, modification and redistribution of the
* source code are permitted provided that the following conditions are met:
*
* *       any redistribution and use of the source code, including any resulting derivative
* works, are licensed by TI for use only with TI Devices.
*
* *       any redistribution and use of any object code compiled from the source code
* and any resulting derivative works, are licensed by TI for use only with TI Devices.
*
* Neither the name of Texas Instruments Incorporated nor the names of its suppliers
*
* may be used to endorse or promote products derived from this software without
* specific prior written permission.
*
* DISCLAIMER.
*
* THIS SOFTWARE IS PROVIDED BY TI AND TI'S LICENSORS "AS IS" AND ANY EXPRESS
* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
* IN NO EVENT SHALL TI AND TI'S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
* OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
 *  \file     Cdd_IpcCfg.c
 *
 *  \brief    This file contains generated pre compile configurations
 *            for CDD IPC MCAL driver
 *
 */

/******************************************************************************
    Project         : IpcExJ7App
    Date            : 2019-06-27 22:33:30
    SW Ver          : 1.0.0
    Module Rele Ver : AUTOSAR 4.2.1 0

    This file is generated by EB Tresos
    Do not modify this file,otherwise the software may behave in unexpected way.
******************************************************************************/

/*******************************************************************************
 *  INCLUDES
 ******************************************************************************/
#include "Std_Types.h"
#include "Cdd_Ipc.h"

/*
 * Design : DES_CDD_IPC_012
 */
/*
 * Requirements : MCAL-3701
 */

/** \brief Version checking  */
#if ((CDD_IPC_SW_MAJOR_VERSION != (1U))||(CDD_IPC_SW_MINOR_VERSION != (2U)))
    #error "Version numbers of Cdd_IpcCfg.c and Cdd_Ipc.h are inconsistent!"
#endif

/*******************************************************************************
 *  Local Data
 ******************************************************************************/
#define CDD_IPC_START_SEC_VAR_NO_INIT_8_ALIGN_8B
#include "Cdd_Ipc_MemMap.h"

/*
 * Design : DES_CDD_IPC_036
 */
/**
 *  \brief Local Memory required for communication channel
 *
 */
CDD_IPC_CONFIG_DATA_SECTION static uint8
            Cdd_IpcCommChBuf_0[CDD_IPC_CH_0_BUFF_SIZE];
/**< Communication Channel local buffer */
CDD_IPC_CONFIG_DATA_SECTION static uint8
            Cdd_IpcCommChBuf_1[CDD_IPC_CH_1_BUFF_SIZE];
/**< Communication Channel local buffer */
CDD_IPC_CONFIG_DATA_SECTION static uint8
            Cdd_IpcCommChBuf_2[CDD_IPC_CH_2_BUFF_SIZE];
/**< Communication Channel local buffer */

#define CDD_IPC_STOP_SEC_VAR_NO_INIT_8_ALIGN_8B
#include "Cdd_Ipc_MemMap.h"

#define CDD_IPC_START_SEC_CONFIG_DATA
#include "Cdd_Ipc_MemMap.h"
/*******************************************************************************
 *  Global Data
 ******************************************************************************/
/*
 * Design : DES_CDD_IPC_027
 */
/*
 * Requirements : MCAL-3713
 */
/**
 *  \brief Collated communication channel buffer pointers
 *
 */
CDD_IPC_CONFIG_DATA_SECTION CONST(Cdd_IpcChannelBufType,
            CDD_IPC_CONFIG_DATA) Cdd_IpcCommChanBufferPtr [CDD_IPC_MAX_CHANNEL_CFG] =
{
    [0U] =
    {
        .pBuf = &Cdd_IpcCommChBuf_0[0U],
        .bufSize = CDD_IPC_CH_0_BUFF_SIZE,
    },
    [1U] =
    {
        .pBuf = &Cdd_IpcCommChBuf_1[0U],
        .bufSize = CDD_IPC_CH_1_BUFF_SIZE,
    },
    [2U] =
    {
        .pBuf = &Cdd_IpcCommChBuf_2[0U],
        .bufSize = CDD_IPC_CH_2_BUFF_SIZE,
    }
};

/*
 * Design : DES_CDD_IPC_016
 */
/*
 * Requirements : MCAL-3677, MCAL-3685, MCAL-3678, MCAL-3679, MCAL-3680,
 *                  MCAL-3681, MCAL-3682, MCAL-3755
 */
/**
 *  \brief Communication Channels configured
 *
 */
CDD_IPC_CONFIG_DATA_SECTION CONST(struct Cdd_IpcChannelType_s,
            CDD_IPC_CONFIG_DATA) CddIpcCommChs[3U] =
{
    [0U] =
    {
        .id = CddIpcConf_IpcComChanId_Cdd_IpcMpu10,
        /**< Unique identifiers for a channel */
        .localEp = 11U,
        /**< Local End Point identifier, on which MCAL/AUTOSAR is hosted */
        .remoteEp = 11U,
        /**< Remote End Point identifier, on remote cores */
        .remoteProcId = CDD_IPC_CORE_MPU1_0,
        /**< Remote Processor Identifier */
        .numMsgQueued = 256U,
        /**< Number of buffer allocated to this communication channel */
        .maxMsgSize = 512,
        /**< Defines the pointer to memory */
        .reserved = 0U,
        /**< Future use if any */
    },
    [1U] =
    {
        .id = CddIpcConf_IpcComChanId_Cdd_IpcMcu20,
        /**< Unique identifiers for a channel */
        .localEp = 16U,
        /**< Local End Point identifier, on which MCAL/AUTOSAR is hosted */
        .remoteEp = 16U,
        /**< Remote End Point identifier, on remote cores */
        .remoteProcId = CDD_IPC_CORE_MCU2_0,
        /**< Remote Processor Identifier */
        .numMsgQueued = 256U,
        /**< Number of buffer allocated to this communication channel */
        .maxMsgSize = 512,
        /**< Defines the pointer to memory */
        .reserved = 0U,
        /**< Future use if any */
    },
    [2U] =
    {
        .id = CddIpcConf_IpcComChanId_Cdd_IpcMcu21,
        /**< Unique identifiers for a channel */
        .localEp = 21U,
        /**< Local End Point identifier, on which MCAL/AUTOSAR is hosted */
        .remoteEp = 21U,
        /**< Remote End Point identifier, on remote cores */
        .remoteProcId = CDD_IPC_CORE_MCU2_1,
        /**< Remote Processor Identifier */
        .numMsgQueued = 256U,
        /**< Number of buffer allocated to this communication channel */
        .maxMsgSize = 512,
        /**< Defines the pointer to memory */
        .reserved = 0U,
        /**< Future use if any */
    }
};

/*
 * Design : DES_CDD_IPC_013
 */
/*
 * Requirements : MCAL-3674
 */
/**
 *  \brief Communication Channels configured
 *
 */
CDD_IPC_VAR_DATA_NO_INIT_UNSPECIFIED_SECTION VAR(uint8, CDD_IPC_VAR_NO_INIT)
            Cdd_IpcDrvVertIoObj[CDD_IPC_VERTIO_OBJECT_SIZE];

/*
 * Design : DES_CDD_IPC_013, DES_CDD_IPC_014, DES_CDD_IPC_015, DES_CDD_IPC_016
 */
/*
 * Requirements : MCAL-3676, MCAL-3675, MCAL-3669, MCAL-3671, MCAL-3678,
 *                  MCAL-3679, MCAL-3680, MCAL-3681, MCAL-3682, MCAL-3755
 */
/**
 *  \brief IPC Configurations
 *
 */
CDD_IPC_CONFIG_DATA_SECTION CONST(Cdd_IpcConfigType, CDD_IPC_CONFIG_DATA)
            CddIpcConfiguraions_PC =
{
    .coreIds =
    {
        .ownProcID = CDD_IPC_CORE_MCU1_0,
        /**< Defines processor ID on which MCAL/AUTOSAR is being hosted */
        .numProcs = 3,
        /**< Number of processor which with IPC is desired */
        .remoteProcID = 
        {
            CDD_IPC_CORE_MCU2_0,
            CDD_IPC_CORE_MPU1_0,
            CDD_IPC_CORE_MCU2_1
        },
        /**< Remote processor identifiers */
        .reserved = 0U,
        /**< Future use if any */
    },

    .vertIoCfg =
    {
        .vertIoRingAddr = (void *)0xaa000000U,
        /**< Defines address that shall be shared between cores */
        .vertIoRingSize = 0x1c00000U,
        /**< Size of the shared memory */
        .reserved = 0U,
        /**< Future use if any */
    },

    .channelCount = 3U,
    /**<  Number of channels configured  */
    .pChCfg = CddIpcCommChs,
    /**< Pointer to array of channel conditions */
    .reserved = 0U
    /**< Reserved field */
};

/* @} */
#define  CDD_IPC_STOP_SEC_CONFIG_DATA
#include "Cdd_Ipc_MemMap.h"



    
    


    
    
    

    
    
    
    
    
    

/*******************************************************************************
 *  END OF FILE: Cdd_IpcCfg.c
 ******************************************************************************/
