/*
*
* Copyright (c) 2019 Texas Instruments Incorporated
*
* All rights reserved not granted herein.
*
* Limited License.
*
* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive
* license under copyrights and patents it now or hereafter owns or controls to make,
* have made, use, import, offer to sell and sell ("Utilize") this software subject to the
* terms herein.  With respect to the foregoing patent license, such license is granted
* solely to the extent that any such patent is necessary to Utilize the software alone.
* The patent license shall not apply to any combinations which include this software,
* other than combinations with devices manufactured by or for TI ("TI Devices").
* No hardware patent is licensed hereunder.
*
* Redistributions must preserve existing copyright notices and reproduce this license
* (including the above copyright notice and the disclaimer and (if applicable) source
* code license limitations below) in the documentation and/or other materials provided
* with the distribution
*
* Redistribution and use in binary form, without modification, are permitted provided
* that the following conditions are met:
*
* *       No reverse engineering, decompilation, or disassembly of this software is
* permitted with respect to any software provided in binary form.
*
* *       any redistribution and use are licensed by TI for use only with TI Devices.
*
* *       Nothing shall obligate TI to provide you with source code for the software
* licensed and provided to you in object code.
*
* If software source code is provided to you, modification and redistribution of the
* source code are permitted provided that the following conditions are met:
*
* *       any redistribution and use of the source code, including any resulting derivative
* works, are licensed by TI for use only with TI Devices.
*
* *       any redistribution and use of any object code compiled from the source code
* and any resulting derivative works, are licensed by TI for use only with TI Devices.
*
* Neither the name of Texas Instruments Incorporated nor the names of its suppliers
*
* may be used to endorse or promote products derived from this software without
* specific prior written permission.
*
* DISCLAIMER.
*
* THIS SOFTWARE IS PROVIDED BY TI AND TI'S LICENSORS "AS IS" AND ANY EXPRESS
* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
* IN NO EVENT SHALL TI AND TI'S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
* OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/
/***********************************************************************
    Project: MCUSW_Ver_00_03_00_00
    Date   : 2018-10-03 16:17:06
    This file is generated by EB Tresos
    Do not modify this file, otherwise the software may behave in
    unexpected way.
 ***********************************************************************/
/**
 *  \file     Dio_Lcfg.c
 *
 *  \brief    This file contains generated link time configuration file
 *            for DIO MCAL driver
 *
 */
/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */
#include "Std_Types.h"
#include "Dio.h"
/* ========================================================================== */
/*                           Version Check                                    */
/* ========================================================================== */
#if ((DIO_SW_MAJOR_VERSION != (1U))||(DIO_SW_MINOR_VERSION != (2U)))
  #error "Version numbers of Dio_Lcfg.c and Dio.h are inconsistent!"
#endif
/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */
#ifdef __cplusplus
extern "C" {
#endif

#define DIO_START_SEC_CONFIG_DATA
#include "Dio_MemMap.h"


/*<DIO_GROUP_LIST>*/
DIO_CONFIG_DATA_SECTION_CONST CONST(Dio_ChannelGroupType, DIO_CONST)
    DioConfig_WKUP_GPIO0_B01_ChannelGroup[1] =
{
    [0] =
    {
        .port =   0U,
        .mask =   0x00000003U,
        .offset = 0U,
    },

};
DIO_CONFIG_DATA_SECTION_CONST CONST(Dio_ChannelGroupType, DIO_CONST)
    DioConfig_WKUP_GPIO0_B23_ChannelGroup[0] =
{

};
DIO_CONFIG_DATA_SECTION_CONST CONST(Dio_ChannelGroupType, DIO_CONST)
    DioConfig_GPIO0_B01_ChannelGroup[0] =
{

};
DIO_CONFIG_DATA_SECTION_CONST CONST(Dio_ChannelGroupType, DIO_CONST)
    DioConfig_GPIO0_B23_ChannelGroup[0] =
{

};
DIO_CONFIG_DATA_SECTION_CONST CONST(Dio_ChannelGroupType, DIO_CONST)
    DioConfig_GPIO0_B45_ChannelGroup[0] =
{

};
DIO_CONFIG_DATA_SECTION_CONST CONST(Dio_ChannelGroupType, DIO_CONST)
    DioConfig_GPIO1_B01_ChannelGroup[0] =
{

};
DIO_CONFIG_DATA_SECTION_CONST CONST(Dio_ChannelGroupType, DIO_CONST)
    DioConfig_GPIO1_B23_ChannelGroup[0] =
{

};
DIO_CONFIG_DATA_SECTION_CONST CONST(Dio_ChannelGroupType, DIO_CONST)
    DioConfig_GPIO1_B45_ChannelGroup[0] =
{

};
DIO_CONFIG_DATA_SECTION_NON_CONST P2CONST(void,AUTOMATIC,  DIO_CONST)
    DioConfig_WKUP_GPIO0_B01_ChannelGroupRef[1] =
{
    [0] = &DioConfig_WKUP_GPIO0_B01_ChannelGroup[0],

};
DIO_CONFIG_DATA_SECTION_NON_CONST P2CONST(void,AUTOMATIC,  DIO_CONST)
    DioConfig_WKUP_GPIO0_B23_ChannelGroupRef[0] =
{

};
DIO_CONFIG_DATA_SECTION_NON_CONST P2CONST(void,AUTOMATIC,  DIO_CONST)
    DioConfig_GPIO0_B01_ChannelGroupRef[0] =
{

};
DIO_CONFIG_DATA_SECTION_NON_CONST P2CONST(void,AUTOMATIC,  DIO_CONST)
    DioConfig_GPIO0_B23_ChannelGroupRef[0] =
{

};
DIO_CONFIG_DATA_SECTION_NON_CONST P2CONST(void,AUTOMATIC,  DIO_CONST)
    DioConfig_GPIO0_B45_ChannelGroupRef[0] =
{

};
DIO_CONFIG_DATA_SECTION_NON_CONST P2CONST(void,AUTOMATIC,  DIO_CONST)
    DioConfig_GPIO1_B01_ChannelGroupRef[0] =
{

};
DIO_CONFIG_DATA_SECTION_NON_CONST P2CONST(void,AUTOMATIC,  DIO_CONST)
    DioConfig_GPIO1_B23_ChannelGroupRef[0] =
{

};
DIO_CONFIG_DATA_SECTION_NON_CONST P2CONST(void,AUTOMATIC,  DIO_CONST)
    DioConfig_GPIO1_B45_ChannelGroupRef[0] =
{

};

#if (STD_ON == DIO_DEV_ERROR_DETECT)



/* Valid mask is always generated for all the ports. The module will use this
    to check if a port & channel combination is enabled, reserved pins check is 
    also performed, Reserved pins are platform dependent, please refer to TRM*/
DIO_CONFIG_DATA_SECTION_CONST CONST (uint32,DIO_CONST)
    Dio_ConfigValidChannelMask[8U] =
{
        [DioConf_DioPort_WKUP_GPIO0_B01] = (0U \
                | ((uint32)1U << 0U) \
                | ((uint32)1U << 1U) \
                | ((uint32)1U << 2U) \
                | ((uint32)1U << 3U) \
                | ((uint32)1U << 4U) \
                | ((uint32)1U << 5U) \
                | ((uint32)1U << 6U) \
                | ((uint32)1U << 7U) \
                | ((uint32)1U << 8U) \
                | ((uint32)1U << 9U) \
                | ((uint32)1U << 10U) \
                | ((uint32)1U << 11U) \
                | ((uint32)1U << 12U) \
                | ((uint32)1U << 13U) \
                | ((uint32)1U << 14U) \
                | ((uint32)1U << 15U) \
                | ((uint32)1U << 16U) \
                | ((uint32)1U << 17U) \
                | ((uint32)1U << 18U) \
                | ((uint32)1U << 19U) \
                | ((uint32)1U << 20U) \
                | ((uint32)1U << 21U) \
                | ((uint32)1U << 22U) \
                | ((uint32)1U << 23U) \
                | ((uint32)1U << 24U) \
                | ((uint32)1U << 25U) \
                | ((uint32)1U << 26U) \
                | ((uint32)1U << 27U) \
                | ((uint32)1U << 28U) \
                | ((uint32)1U << 29U) \
                | ((uint32)1U << 30U) \
                | ((uint32)1U << 31U) \
                ),
        [DioConf_DioPort_WKUP_GPIO0_B23] = (0U \
                | ((uint32)1U << 0U) \
                | ((uint32)1U << 1U) \
                | ((uint32)1U << 2U) \
                | ((uint32)1U << 3U) \
                | ((uint32)1U << 4U) \
                | ((uint32)1U << 5U) \
                | ((uint32)1U << 6U) \
                | ((uint32)1U << 7U) \
                | ((uint32)1U << 8U) \
                | ((uint32)1U << 9U) \
                | ((uint32)1U << 10U) \
                | ((uint32)1U << 11U) \
                | ((uint32)1U << 12U) \
                | ((uint32)1U << 13U) \
                | ((uint32)1U << 14U) \
                | ((uint32)1U << 15U) \
                | ((uint32)1U << 16U) \
                | ((uint32)1U << 17U) \
                | ((uint32)1U << 18U) \
                | ((uint32)1U << 19U) \
                | ((uint32)1U << 20U) \
                | ((uint32)1U << 21U) \
                | ((uint32)1U << 22U) \
                | ((uint32)1U << 23U) \
                ),
        [DioConf_DioPort_GPIO0_B01] = (0U \
                | ((uint32)1U << 0U) \
                | ((uint32)1U << 1U) \
                | ((uint32)1U << 2U) \
                | ((uint32)1U << 3U) \
                | ((uint32)1U << 4U) \
                | ((uint32)1U << 5U) \
                | ((uint32)1U << 6U) \
                | ((uint32)1U << 7U) \
                | ((uint32)1U << 8U) \
                | ((uint32)1U << 9U) \
                | ((uint32)1U << 10U) \
                | ((uint32)1U << 11U) \
                | ((uint32)1U << 12U) \
                | ((uint32)1U << 13U) \
                | ((uint32)1U << 14U) \
                | ((uint32)1U << 15U) \
                | ((uint32)1U << 16U) \
                | ((uint32)1U << 17U) \
                | ((uint32)1U << 18U) \
                | ((uint32)1U << 19U) \
                | ((uint32)1U << 20U) \
                | ((uint32)1U << 21U) \
                | ((uint32)1U << 22U) \
                | ((uint32)1U << 23U) \
                | ((uint32)1U << 24U) \
                | ((uint32)1U << 25U) \
                | ((uint32)1U << 26U) \
                | ((uint32)1U << 27U) \
                | ((uint32)1U << 28U) \
                | ((uint32)1U << 29U) \
                | ((uint32)1U << 30U) \
                | ((uint32)1U << 31U) \
                ),
        [DioConf_DioPort_GPIO0_B23] = (0U \
                | ((uint32)1U << 0U) \
                | ((uint32)1U << 1U) \
                | ((uint32)1U << 2U) \
                | ((uint32)1U << 3U) \
                | ((uint32)1U << 4U) \
                | ((uint32)1U << 5U) \
                | ((uint32)1U << 6U) \
                | ((uint32)1U << 7U) \
                | ((uint32)1U << 8U) \
                | ((uint32)1U << 9U) \
                | ((uint32)1U << 10U) \
                | ((uint32)1U << 11U) \
                | ((uint32)1U << 12U) \
                | ((uint32)1U << 13U) \
                | ((uint32)1U << 14U) \
                | ((uint32)1U << 15U) \
                | ((uint32)1U << 16U) \
                | ((uint32)1U << 17U) \
                | ((uint32)1U << 18U) \
                | ((uint32)1U << 19U) \
                | ((uint32)1U << 20U) \
                | ((uint32)1U << 21U) \
                | ((uint32)1U << 22U) \
                | ((uint32)1U << 23U) \
                | ((uint32)1U << 24U) \
                | ((uint32)1U << 25U) \
                | ((uint32)1U << 26U) \
                | ((uint32)1U << 27U) \
                | ((uint32)1U << 28U) \
                | ((uint32)1U << 29U) \
                | ((uint32)1U << 30U) \
                | ((uint32)1U << 31U) \
                ),
        [DioConf_DioPort_GPIO0_B45] = (0U \
                | ((uint32)1U << 0U) \
                | ((uint32)1U << 1U) \
                | ((uint32)1U << 2U) \
                | ((uint32)1U << 3U) \
                | ((uint32)1U << 4U) \
                | ((uint32)1U << 5U) \
                | ((uint32)1U << 6U) \
                | ((uint32)1U << 7U) \
                | ((uint32)1U << 8U) \
                | ((uint32)1U << 9U) \
                | ((uint32)1U << 10U) \
                | ((uint32)1U << 11U) \
                | ((uint32)1U << 12U) \
                | ((uint32)1U << 13U) \
                | ((uint32)1U << 14U) \
                | ((uint32)1U << 15U) \
                | ((uint32)1U << 16U) \
                | ((uint32)1U << 17U) \
                | ((uint32)1U << 18U) \
                | ((uint32)1U << 19U) \
                | ((uint32)1U << 20U) \
                | ((uint32)1U << 21U) \
                | ((uint32)1U << 22U) \
                | ((uint32)1U << 23U) \
                | ((uint32)1U << 24U) \
                | ((uint32)1U << 25U) \
                | ((uint32)1U << 26U) \
                | ((uint32)1U << 27U) \
                | ((uint32)1U << 28U) \
                | ((uint32)1U << 29U) \
                | ((uint32)1U << 30U) \
                | ((uint32)1U << 31U) \
                ),
        [DioConf_DioPort_GPIO1_B01] = (0U \
                | ((uint32)1U << 0U) \
                | ((uint32)1U << 1U) \
                | ((uint32)1U << 2U) \
                | ((uint32)1U << 3U) \
                | ((uint32)1U << 4U) \
                | ((uint32)1U << 5U) \
                | ((uint32)1U << 6U) \
                | ((uint32)1U << 7U) \
                | ((uint32)1U << 8U) \
                | ((uint32)1U << 9U) \
                | ((uint32)1U << 10U) \
                | ((uint32)1U << 11U) \
                | ((uint32)1U << 12U) \
                | ((uint32)1U << 13U) \
                | ((uint32)1U << 14U) \
                | ((uint32)1U << 15U) \
                | ((uint32)1U << 16U) \
                | ((uint32)1U << 17U) \
                | ((uint32)1U << 18U) \
                | ((uint32)1U << 19U) \
                | ((uint32)1U << 20U) \
                | ((uint32)1U << 21U) \
                | ((uint32)1U << 22U) \
                | ((uint32)1U << 23U) \
                | ((uint32)1U << 24U) \
                | ((uint32)1U << 25U) \
                | ((uint32)1U << 26U) \
                | ((uint32)1U << 27U) \
                | ((uint32)1U << 28U) \
                | ((uint32)1U << 29U) \
                | ((uint32)1U << 30U) \
                | ((uint32)1U << 31U) \
                ),
        [DioConf_DioPort_GPIO1_B23] = (0U \
                | ((uint32)1U << 0U) \
                | ((uint32)1U << 1U) \
                | ((uint32)1U << 2U) \
                | ((uint32)1U << 3U) \
                | ((uint32)1U << 4U) \
                | ((uint32)1U << 5U) \
                | ((uint32)1U << 6U) \
                | ((uint32)1U << 7U) \
                | ((uint32)1U << 8U) \
                | ((uint32)1U << 9U) \
                | ((uint32)1U << 10U) \
                | ((uint32)1U << 11U) \
                | ((uint32)1U << 12U) \
                | ((uint32)1U << 13U) \
                | ((uint32)1U << 14U) \
                | ((uint32)1U << 15U) \
                | ((uint32)1U << 16U) \
                | ((uint32)1U << 17U) \
                | ((uint32)1U << 18U) \
                | ((uint32)1U << 19U) \
                | ((uint32)1U << 20U) \
                | ((uint32)1U << 21U) \
                | ((uint32)1U << 22U) \
                | ((uint32)1U << 23U) \
                | ((uint32)1U << 24U) \
                | ((uint32)1U << 25U) \
                | ((uint32)1U << 26U) \
                | ((uint32)1U << 27U) \
                | ((uint32)1U << 28U) \
                | ((uint32)1U << 29U) \
                | ((uint32)1U << 30U) \
                | ((uint32)1U << 31U) \
                ),
        [DioConf_DioPort_GPIO1_B45] = (0U \
                | ((uint32)1U << 0U) \
                | ((uint32)1U << 1U) \
                | ((uint32)1U << 2U) \
                | ((uint32)1U << 3U) \
                | ((uint32)1U << 4U) \
                | ((uint32)1U << 5U) \
                | ((uint32)1U << 6U) \
                | ((uint32)1U << 7U) \
                | ((uint32)1U << 8U) \
                | ((uint32)1U << 9U) \
                | ((uint32)1U << 10U) \
                | ((uint32)1U << 11U) \
                | ((uint32)1U << 12U) \
                | ((uint32)1U << 13U) \
                | ((uint32)1U << 14U) \
                | ((uint32)1U << 15U) \
                | ((uint32)1U << 16U) \
                | ((uint32)1U << 17U) \
                | ((uint32)1U << 18U) \
                | ((uint32)1U << 19U) \
                | ((uint32)1U << 20U) \
                | ((uint32)1U << 21U) \
                | ((uint32)1U << 22U) \
                | ((uint32)1U << 23U) \
                | ((uint32)1U << 24U) \
                | ((uint32)1U << 25U) \
                ),
};
#endif /* (STD_ON == DIO_DEV_ERROR_DETECT) */

/*</DIO_GROUP_LIST>*/
#define DIO_STOP_SEC_CONFIG_DATA
#include "Dio_MemMap.h"
#ifdef __cplusplus
}
#endif
/*******************************************************************************
 *  END OF FILE: DIO_LCFG.C
 ******************************************************************************/
