/*
*
* Copyright (c) 2019 Texas Instruments Incorporated
*
* All rights reserved not granted herein.
*
* Limited License.
*
* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive
* license under copyrights and patents it now or hereafter owns or controls to make,
* have made, use, import, offer to sell and sell ("Utilize") this software subject to the
* terms herein.  With respect to the foregoing patent license, such license is granted
* solely to the extent that any such patent is necessary to Utilize the software alone.
* The patent license shall not apply to any combinations which include this software,
* other than combinations with devices manufactured by or for TI ("TI Devices").
* No hardware patent is licensed hereunder.
*
* Redistributions must preserve existing copyright notices and reproduce this license
* (including the above copyright notice and the disclaimer and (if applicable) source
* code license limitations below) in the documentation and/or other materials provided
* with the distribution
*
* Redistribution and use in binary form, without modification, are permitted provided
* that the following conditions are met:
*
* *       No reverse engineering, decompilation, or disassembly of this software is
* permitted with respect to any software provided in binary form.
*
* *       any redistribution and use are licensed by TI for use only with TI Devices.
*
* *       Nothing shall obligate TI to provide you with source code for the software
* licensed and provided to you in object code.
*
* If software source code is provided to you, modification and redistribution of the
* source code are permitted provided that the following conditions are met:
*
* *       any redistribution and use of the source code, including any resulting derivative
* works, are licensed by TI for use only with TI Devices.
*
* *       any redistribution and use of any object code compiled from the source code
* and any resulting derivative works, are licensed by TI for use only with TI Devices.
*
* Neither the name of Texas Instruments Incorporated nor the names of its suppliers
*
* may be used to endorse or promote products derived from this software without
* specific prior written permission.
*
* DISCLAIMER.
*
* THIS SOFTWARE IS PROVIDED BY TI AND TI'S LICENSORS "AS IS" AND ANY EXPRESS
* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
* IN NO EVENT SHALL TI AND TI'S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
* OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/
/**
 *  \file     Gpt_PBcfg.c
 *
 *  \brief    This file contains generated post build configuration file
 *            for GPT MCAL driver
 *
 */

/******************************************************************************
    Project         : Gpt
    Date            : 2020-01-21 14:32:18
    Config SW Ver   : 0.1.0
    Module Rele Ver : AUTOSAR 4.3.1 0

    This file is generated by EB Tresos
    Do not modify this file,otherwise the software may behave in unexpected way.
******************************************************************************/
#include "Std_Types.h"
#include "Gpt.h"
 

/*
 * Requirements : MCAL-2120, MCAL-2122
 */
/*
 * Design : DES_GPT_014, DES_GPT_019, DES_GPT_035
 */

#define GPT_START_SEC_CONFIG_DATA
#include "Gpt_MemMap.h"



/* Design : DES_GPT_018 */
/* Requirements : MCAL-2119 */

/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify5 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify6 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify7 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify8 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify9 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify10 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify11 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify12 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify13 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify14 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify15 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify16 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify1 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify2 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify3 (void);
/* Function(s) that would be called for NON Wakeup notification */
extern void Gpt_Channel_Notify4 (void);


/*
 * Requirements : MCAL-1954, MCAL-1955, MCAL-1957, MCAL-1958, MCAL-1959,
 *                MCAL-1961, MCAL1962
 */
/*
 * Design : DES_GPT_012, DES_GPT_018, DES_GPT_020
 */

/**
 * \brief Gpt Channel Configuration parameters
 */
GPT_CONFIG_DATA_SECTION static CONST(Gpt_ChannelConfigType, GPT_CONFIG_DATA)
    GptChannelConfiguration_ChannelConfig[16U] =
{

    [0U] =
    {
        .channelMode = (GPT_CH_MODE_ONESHOT),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify5,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [1U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify6,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [2U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify7,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [3U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify8,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [4U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify9,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [5U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify10,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [6U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify11,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [7U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify12,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [8U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify13,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [9U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify14,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [10U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify15,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [11U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify16,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [12U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify1,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [13U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify2,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [14U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify3,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    },
    [15U] =
    {
        .channelMode = (GPT_CH_MODE_CONTINUOUS),
        /**< Gpt Channel Mode */
        .tickValueMax = 0xf0000000U,
        /**< Max Channel Tick Value */
        .enableWakeupFlag = (uint8) TRUE,
        /**< Wakeup Enable Flag */
        .fnPtrNotifyFunction = Gpt_Channel_Notify4,
        /**< Notification Call Back function */
        .wakeupSourceRef = (EcuM_WakeupSourceType) 0U,
        /**< Wakeup source value, if wakeup is enabled */
        .prescale = (uint32) GPT_PRESCALER_NO_PRESCALE,
        /**< Channel clock pre-scaler */
    }
};

/*
 * Requirements : MCAL-2122
 */
/*
 * Design : DES_GPT_020, DES_GPT_035
 */
/**
 * \brief GPT Configurations
 */
GPT_CONFIG_DATA_SECTION CONST(struct Gpt_ConfigType_s, GPT_CONFIG_DATA)
    GptChannelConfiguration =
{
    GptChannelConfiguration_ChannelConfig,
    /**< Pointer to Channel Configuration */
    16U
    /**< Number of Channels **/
};



#define GPT_STOP_SEC_CONFIG_DATA
#include "Gpt_MemMap.h"
/*----- End of File --------------------------------------------------------*/
