/*
*
* Copyright (c) 2019 Texas Instruments Incorporated
*
* All rights reserved not granted herein.
*
* Limited License.
*
* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive
* license under copyrights and patents it now or hereafter owns or controls to make,
* have made, use, import, offer to sell and sell ("Utilize") this software subject to the
* terms herein.  With respect to the foregoing patent license, such license is granted
* solely to the extent that any such patent is necessary to Utilize the software alone.
* The patent license shall not apply to any combinations which include this software,
* other than combinations with devices manufactured by or for TI ("TI Devices").
* No hardware patent is licensed hereunder.
*
* Redistributions must preserve existing copyright notices and reproduce this license
* (including the above copyright notice and the disclaimer and (if applicable) source
* code license limitations below) in the documentation and/or other materials provided
* with the distribution
*
* Redistribution and use in binary form, without modification, are permitted provided
* that the following conditions are met:
*
* *       No reverse engineering, decompilation, or disassembly of this software is
* permitted with respect to any software provided in binary form.
*
* *       any redistribution and use are licensed by TI for use only with TI Devices.
*
* *       Nothing shall obligate TI to provide you with source code for the software
* licensed and provided to you in object code.
*
* If software source code is provided to you, modification and redistribution of the
* source code are permitted provided that the following conditions are met:
*
* *       any redistribution and use of the source code, including any resulting derivative
* works, are licensed by TI for use only with TI Devices.
*
* *       any redistribution and use of any object code compiled from the source code
* and any resulting derivative works, are licensed by TI for use only with TI Devices.
*
* Neither the name of Texas Instruments Incorporated nor the names of its suppliers
*
* may be used to endorse or promote products derived from this software without
* specific prior written permission.
*
* DISCLAIMER.
*
* THIS SOFTWARE IS PROVIDED BY TI AND TI'S LICENSORS "AS IS" AND ANY EXPRESS
* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
* IN NO EVENT SHALL TI AND TI'S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
* OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/
/* Design :DES_PWM_001 */
  /*****************************************************************************
    Project: PwmEgApp
    Date   : 2019-07-01 17:11:52
    This file is generated by EB Tresos
    Do not modify this file,otherwise the software may behave in unexpected way.

 ******************************************************************************/
#include "Std_Types.h"
#include "Pwm.h"
#ifdef __cplusplus

extern "C" {
#endif


/* ---- Perform version checking  ----------------------------------------- */
 #if ((PWM_SW_MAJOR_VERSION != (1U))||(PWM_SW_MINOR_VERSION != (2U)))
  #error "Version numbers of Pwm_Cfg.c and Pwm_Cfg.h are inconsistent!"
#endif

#define PWM_START_SEC_CONFIG_DATA
#include "Pwm_MemMap.h"

extern void Pwm_Notification_Channel1(void);


/* Pwm Channel Configuration parameters */
PWM_CONFIG_DATA_SECTION CONST(struct Pwm_ConfigType_PC_s, PWM_CONFIG_DATA)
    PwmChannelConfigSet_PC =
{
    .chCfg =
    {
        [0] =
        {
            .channelId = PWM_CHANNEL5,
            
        }
    },
};

/* Pwm Channel Configuration parameters */
PWM_CONFIG_DATA_SECTION CONST(struct Pwm_ConfigType_s, PWM_CONFIG_DATA)
     PwmChannelConfigSet_ChannelConfig =
{
    .chCfg =
    {
        [0] =
        {
            .instanceClkHz = 25000000U,
            .dutyCycle =0x4000U,/* Dutycycle */
            .hwPeriod =25000000U,
            /* Number of HW Unit ticks value which sets initial period */
            .polarity = PWM_HIGH,/* Polarity */
            .idleState = PWM_HIGH,/* Idle State */
            .channelClass = PWM_VARIABLE_PERIOD,
            .prescale = 0,/* prescale */
#if (PWM_NOTIFICATION_SUPPORTED == STD_ON)
            .notificationHandler = (Pwm_NotifyFuncType) Pwm_Notification_Channel1,
            /*Notification Function*/
#endif
        }
    },
};





#ifdef __cplusplus
}
#endif

/*</PWM_CONFIGURATION>*/
#define PWM_STOP_SEC_CONFIG_DATA
#include "Pwm_MemMap.h"

/*******************************************************************************
 *  END OF FILE: Pwm_Cfg.c                                                   *
 ******************************************************************************/
